﻿@{
    ViewBag.Title = "لیست درخواست های 'در حال بررسی' دریافت وجه ریالی";
}

<div class="alert alert-info">
    لطفا آیتم های مورد نظر خود را انتخاب و بر روی دکمه پرداخت کلیک نمایید تا فایل واریز پایا ایجاد گردد
</div>

@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
    <div class="col-lg-12">
        <button id="btnSave" class="btn btn-primary">پرداخت موارد انتخاب شده (ساخت فایل پرداخت پایا)</button>
    </div>
</div>
<br />

<div class="row">
    <div class="col-lg-12">
        <table id="miyazaki" class="tbl-grid" style="width: 100%;">
            <thead>
                <tr>
                    <th>
                        <input type="checkbox" id="selectAll" /> انتخاب همه
                    </th>
                    <th>
                        کد شناسایی
                    </th>
                    <th>
                        مالک حساب
                    </th>
                    <th>
                        مبلغ
                    </th>
                    <th></th>
                    <th>
                        بانک
                    </th>
                    <th>
                        تاریخ ثبت
                    </th>
                </tr>
            </thead>
            <tbody id="rowsWrap">
            </tbody>
        </table>
        <p class="empty-label"></p>
    </div>
</div>

@section scripts {

    <script src="~/Content/lib/js/ajax.js"></script>
    <script src="~/Content/admin/js/messagebox.js"></script>
    <script>
    $(function () {

        // ------------------------------- page.load() -------------------------------
        loadRequests();



        // ---------------------------------- events -------------------------------
        $("#selectAll").change(function () {
            // انتخاب همه
            var checked = $(this).prop('checked');
            $('#rowsWrap').find('input:checkbox').prop('checked', checked);
        });

        $("#btnSave").click(function ()
        {
            savePaymentFile();
        });

        // ------------------------------- functions -------------------------------
        function loadRequests()
        {
            // لود لیست بستانکاران
            Ajax('GET', '/Admin/RialWithdrawalRequest/GetRequests', { 'status' : 'Pending'}, function (response, status, xhr)
            {
                $("#rowsWrap").html('');

                if (response.Data.length == 0) {
                    $(".empty-label").html('موردی یافت نشد ...');
                }
                else {
                    $(".empty-label").html('');

                    $(response.Data).each(function (index, item) {
                        $("#rowsWrap").append(
                        '<tr>\
                            <td><input type="checkbox" class="checkboxitem" value="'+ item.Id + '" /></td>\
                            <td>' + item.RowGuid + '</td>\
                            <td>' + item.UserFullName + '(' + item.UserId + ')</td>\
                            <td>' + numberWithCommas(item.Price) + ' ریال</td>\
                            <td>\
                                شبا: ' + item.ShabaNumber + '\
                            <br />\
                                حساب: ' + item.AccountNumber + '\
                            <br />\
                                کارت: ' + item.CardNumber + '\
                            </td>\
                            <td>' + item.BankName + '</td>\
                            <td>' + item.CreatedOnFa + '</td>\
                        </tr>');
                    });
                }

            }, 'json');
        }



        function savePaymentFile()
        {
            // ساخت فایل پرداخت بانکی به کاربران، تغییر وضعیت درخواست ها
            var ids = getSelectedRequestIds();

            if (ids.length == 0) {
                showMessageBox('هیچ گزینه ای انتخاب نشده است');
            }
            else {
                Ajax('POST', '/Admin/RialWithdrawalRequest/CreatePaymentFile', { 'requestIds': ids }, function (response, status, xhr) {

                    showMessageBox(response.Message);
                    loadRequests();

                }, 'json');
            }


        }


        function getSelectedRequestIds()
        {
            // دریافت لیست آی دی درخواست های انتخاب شده
            var selectedRequestIds = new Array();

            $("#rowsWrap .checkboxitem:checked").each(function () {
                selectedRequestIds.push($(this).val());
            });

            return selectedRequestIds;
        }

        function numberWithCommas(x) {
            // جداکننده سه رقم سه رقم مبالغ
            return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
        }

    });
    </script>

}